// gnome.xonotic.in.ua

models/mapobjects/portal1/portal
{
	tesssize 32
	deformvertexes wave 10 sin 0 3 0 .5
	cull none
	{
		clampmap models/mapobjects/portal1/portal_inner.tga
		blendfunc gl_one gl_one
	}
	{
		clampmap models/mapobjects/portal1/portal_outer.tga
		blendfunc gl_one gl_one
		tcmod rotate -140
	}
	{
		clampmap models/mapobjects/portal1/portal_outer.tga
		blendfunc gl_one gl_one
		tcmod rotate 100
	}
	{
		clampmap models/mapobjects/portal1/portal_outer.tga
		blendfunc gl_one gl_one
		tcmod rotate 60
	}
}

models/mapobjects/portal2/portal
{
	tesssize 32
	deformvertexes wave 10 sin 0 3 0 .5
	cull none
	{
		clampmap models/mapobjects/portal2/portal_inner.tga
		blendfunc gl_one gl_one
	}
	{
		clampmap models/mapobjects/portal2/portal_outer.tga
		blendfunc gl_one gl_one
		tcmod rotate -140
	}
	{
		clampmap models/mapobjects/portal2/portal_outer.tga
		blendfunc gl_one gl_one
		tcmod rotate 100
	}
	{
		clampmap models/mapobjects/portal2/portal_outer.tga
		blendfunc gl_one gl_one
		tcmod rotate 60
	}
}

textures/base_light/patch10_pj_lite2
{
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/patch10_pj_lite2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/patch10_pj_lite2.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_trim/dark_tin2
{
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen vertex
	}
	{
		map textures/base_trim/dark_tin2.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm trans
}

textures/common/donotenter
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm detail
	surfaceparm donotenter
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/liquids/clear_calm1
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformvertexes wave 64 sin .25 .25 0 .5
	{
		map textures/liquids/pool3d_5e.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/liquids/pool3d_3e.tga
		blendfunc gl_dst_color gl_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pukka3tourney2/acid_lm
{
	qer_editorimage textures/pukka3tourney2/acid.tga
	qer_trans .75
	q3map_lightimage textures/pukka3tourney2/acid.tga
	qer_trans .75
	q3map_globaltexture
	qer_trans .5
	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans
	q3map_surfacelight 100
	tesssize 32
	cull disable
	deformvertexes wave 30 sin 0 3 0 .3
	deformvertexes normal .1 .15
	{
		map textures/effects/envmap2.tga
		blendfunc gl_one gl_one
		tcgen environment
	}
	{
		map textures/pukka3tourney2/bubbles.tga
		blendfunc add
		tcgen environment
		rgbgen wave sin .5 0 0 0
		tcmod scale 0.75 0.75
		tcmod scroll .01 .01
	}
	{
		map textures/liquids/pool3d_3e.tga
		blendfunc gl_dst_color gl_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map textures/pukka3tourney2/acid.tga
		blendfunc gl_zero gl_src_color
		tcmod turb .2 .1 .1 .2
		tcmod scale .7 .7
		tcmod scroll .001 .001
	}
}

textures/pukka3tourney2/base1_nonsolid
{
	qer_editorimage textures/pukka3tourney2/base1.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pukka3tourney2/base1.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/pukka3tourney2/beam1
{
	sort 16
	qer_editorimage textures/pukka3tourney2/s1.jpg
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	cull disable
	deformvertexes autosprite2
	{
		clampmap textures/pukka3tourney2/s1.jpg
		blendfunc add
	}
}

textures/pukka3tourney2/bullets02
{
	surfaceparm trans
	surfaceparm nomarks
	polygonoffset
	qer_trans 0.5
	sort 6
	{
		map textures/pukka3tourney2/bullets02.tga
		blendfunc gl_zero gl_one_minus_src_color
		rgbgen identity
	}
}

textures/pukka3tourney2/chainlnk
{
	qer_editorimage textures/pukka3tourney2/chainlnk.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/pukka3tourney2/chainlnk.tga
		rgbgen identity
		tcmod scale 1 1
		depthwrite
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
		depthfunc equal
	}
}

textures/pukka3tourney2/chainlnk_ow
{
	qer_editorimage textures/pukka3tourney2/chainlnk_ow.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/pukka3tourney2/chainlnk_ow.tga
		rgbgen identity
		tcmod scale 1 1
		depthwrite
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
		depthfunc equal
	}
}

textures/pukka3tourney2/crack04
{
	surfaceparm trans
	surfaceparm nomarks
	polygonoffset
	qer_trans 0.5
	sort 6
	{
		map textures/pukka3tourney2/crack04.tga
		blendfunc gl_zero gl_one_minus_src_color
		rgbgen identity
	}
}

textures/pukka3tourney2/light2
{
	qer_editorimage textures/pukka3tourney2/light2.tga
	surfaceparm nomarks
	q3map_surfacelight 250
	{
		map textures/pukka3tourney2/light2.tga
		blendfunc gl_dst_color gl_zero
		depthwrite
		rgbgen identity
	}
	{
		map textures/pukka3tourney2/light2_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/pukka3tourney2/roundgrate
{
	qer_editorimage textures/pukka3tourney2/u_gr8_8c.tga
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nodrop
	cull none
	nopicmip
	{
		map textures/pukka3tourney2/u_gr8_8c.tga
		rgbgen identity
		depthwrite
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
		depthfunc equal
	}
}

textures/pukka3tourney2/small_light
{
	qer_editorimage textures/pukka3tourney2/light_01.tga
	q3map_lightimage textures/pukka3tourney2/light_01.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 0
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pukka3tourney2/light_01.tga
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/pukka3tourney2/light_01.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/pukka3tourney2/smear01
{
	surfaceparm trans
	surfaceparm nomarks
	polygonoffset
	qer_trans 0.5
	sort 6
	{
		map textures/pukka3tourney2/smear01.tga
		blendfunc gl_zero gl_one_minus_src_color
		rgbgen identity
	}
}

textures/pukka3tourney2/splat01
{
	surfaceparm trans
	surfaceparm nomarks
	polygonoffset
	qer_trans 0.5
	sort 6
	{
		map textures/pukka3tourney2/splat01.tga
		blendfunc gl_zero gl_one_minus_src_color
		rgbgen identity
	}
}

textures/pukka3tourney2/splat02
{
	surfaceparm trans
	surfaceparm nomarks
	polygonoffset
	qer_trans 0.5
	sort 6
	{
		map textures/pukka3tourney2/splat02.tga
		blendfunc gl_zero gl_one_minus_src_color
		rgbgen identity
	}
}

textures/pukka3tourney2/splat05
{
	surfaceparm trans
	surfaceparm nomarks
	polygonoffset
	qer_trans 0.5
	sort 6
	{
		map textures/pukka3tourney2/splat05.tga
		blendfunc gl_zero gl_one_minus_src_color
		rgbgen identity
	}
}

textures/pukka3tourney2/splat06
{
	surfaceparm trans
	surfaceparm nomarks
	polygonoffset
	qer_trans 0.5
	sort 6
	{
		map textures/pukka3tourney2/splat06.tga
		blendfunc gl_zero gl_one_minus_src_color
		rgbgen identity
	}
}

textures/pukka3tourney2/splat07
{
	surfaceparm trans
	surfaceparm nomarks
	polygonoffset
	qer_trans 0.5
	sort 6
	{
		map textures/pukka3tourney2/splat07.tga
		blendfunc gl_zero gl_one_minus_src_color
		rgbgen identity
	}
}

textures/pukka3tourney2/valleysky
{
	qer_editorimage textures/pukka3tourney2/sky.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_lightimage textures/pukka3tourney2/skycolor.tga
	q3map_surfacelight 140
	q3map_sun 1 1 .8 77 127 62
	skyparms env/pukka3tourney2/blood-valley - -
}

textures/sfx/fan
{
	surfaceparm trans
	surfaceparm nomarks
	cull none
	nopicmip
	{
		clampmap textures/sfx/fan.tga
		tcmod rotate 256
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/sfx/fan3bladeb
{
	cull disable
	surfaceparm trans
	surfaceparm nolightmap
	sort 5
	{
		clampmap textures/sfx/fan3bladeb.tga
		blendfunc blend
		tcmod rotate 999
		rgbgen identity
	}
}

textures/sfx/fanfx
{
	qer_editorimage textures/sfx/fanfx.tga
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	cull none
	nopicmip
	{
		clampmap textures/sfx/fanfx.tga
		tcmod rotate 256
		blendfunc gl_zero gl_one_minus_src_color
		rgbgen exactvertex
		depthwrite
	}
}

